package com.ruoyi.project.process.controller.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2023/02/16 09:45:53
 */
public class DelayVO {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 延期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "延期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getExtention() {
        return extention;
    }

    public void setExtention(Date extention) {
        this.extention = extention;
    }
}
